Bug 10619 - [PATCH] Method to select sheet tabs in Workbook
Summary: [PATCH] Method to select sheet tabs in Workbook
Status: CLOSED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-07-09 22:54 UTC by Shawn Laubach
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments
Patch to fix this problem. (702 bytes, patch)
2002-07-09 22:55 UTC, Shawn Laubach
Details | Diff
New patch that moves change to Sheet (1.90 KB, patch)
2002-07-15 12:31 UTC, Shawn Laubach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shawn Laubach 2002-07-09 22:54:35 UTC
Some of the excel files where I work need to have all the pages selected and/or 
certain other pages selected.  I have not seen a way in the sheet interface to 
do this.
Comment 1 Shawn Laubach 2002-07-09 22:55:14 UTC
Created attachment 2292 [details]
Patch to fix this problem.
Comment 2 Andy Oliver 2002-07-15 01:30:28 UTC
please move the functionality into the model.Sheet instead of doing it in the
usermodel.HSSFSheet and resubmit the patch.  (just reopen this bug)

Thanks.
Comment 3 Shawn Laubach 2002-07-15 12:29:55 UTC
Moved method to Sheet.  Patch coming.
Comment 4 Shawn Laubach 2002-07-15 12:31:04 UTC
Created attachment 2355 [details]
New patch that moves change to Sheet
Comment 5 Shawn Laubach 2002-07-20 05:07:17 UTC
What's the current status of this?
Comment 6 Glen Stampoultzis 2002-07-20 11:19:15 UTC
Applied, thanks.  For extra credit please patch the documentation.
Comment 7 Shawn Laubach 2002-10-07 17:16:44 UTC
I did the extra credit.  Added example and committed.